wddx_serialize_vars
Introduction
XML Manipulation
PHP Manual

# XML diff and merge

Table of Contents

- Introduction
- Installing/Configuring
  - Requirements
  - Installation
- XMLDiff\Base — The XMLDiff\Base class
  - XMLDiff\Base::__construct — Constructor
  - XMLDiff\Base::diff — Produce diff of two XML documents
  - XMLDiff\Base::merge — Produce new XML document based on diff
- XMLDiff\DOM — The XMLDiff\DOM class
  - XMLDiff\DOM::diff — Diff two DOMDocument objects
  - XMLDiff\DOM::merge — Produce merged DOMDocument
- XMLDiff\Memory — The XMLDiff\Memory class
  - XMLDiff\Memory::diff — Diff two XML documents
  - XMLDiff\Memory::merge — Produce merged XML document
- XMLDiff\File — The XMLDiff\File class
  - XMLDiff\File::diff — Diff two XML files
  - XMLDiff\File::merge — Produce merged XML document

# The XMLDiff\Base class

## Introduction

Base abstract class for all the comparsion classes in the extension.

## Class synopsis

XMLDiff\Base
class XMLDiff\Base {
/* Methods */
public __construct ( string `$nsname` )
abstract public mixed diff ( mixed `$from` , mixed `$to` )
abstract public mixed merge ( mixed `$src` , mixed `$diff` )
}

# The XMLDiff\DOM class

## Introduction

## Class synopsis

XMLDiff\DOM
class XMLDiff\DOM extends XMLDiff\Base {
/* Methods */
public DOMDocument diff ( DOMDocument `$from` , DOMDocument `$to` )
public DOMDocument merge ( DOMDocument `$src` , DOMDocument `$diff` )
/* Inherited methods */
public XMLDiff\Base::__construct ( string `$nsname` )
abstract public mixed XMLDiff\Base::diff ( mixed `$from` , mixed `$to` )
abstract public mixed XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` )
}

# The XMLDiff\Memory class

## Introduction

## Class synopsis

XMLDiff\Memory
class XMLDiff\Memory extends XMLDiff\Base {
/* Methods */
public string diff ( string `$from` , string `$to` )
public string merge ( string `$src` , string `$diff` )
/* Inherited methods */
public XMLDiff\Base::__construct ( string `$nsname` )
abstract public mixed XMLDiff\Base::diff ( mixed `$from` , mixed `$to` )
abstract public mixed XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` )
}

# The XMLDiff\File class

## Introduction

## Class synopsis

XMLDiff\File
class XMLDiff\File extends XMLDiff\Base {
/* Methods */
public string diff ( string `$from` , string `$to` )
public string merge ( string `$src` , string `$diff` )
/* Inherited methods */
public XMLDiff\Base::__construct ( string `$nsname` )
abstract public mixed XMLDiff\Base::diff ( mixed `$from` , mixed `$to` )
abstract public mixed XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` )
}